org.apache.poi.hssf.record

## Class ProtectionRev4Record

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.ProtectionRev4Record

- All Implemented Interfaces:
    Duplicatable

      public final class ProtectionRev4Record
      extends StandardRecord

  Describes whether this is a protected shared/tracked workbook

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtectionRev4Record(boolean protect)`
    `ProtectionRev4Record(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtectionRev4Record` | `copy()`
    `protected int` | `getDataSize()`
    `boolean` | `getProtect()` get whether the this is protected shared/tracked workbook or not
    `short` | `getSid()` return the non static version of the id for this record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setProtect(boolean protect)` set whether the this is protected shared/tracked workbook or not
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProtectionRev4Record

          public ProtectionRev4Record(boolean protect)

    - #### ProtectionRev4Record

          public ProtectionRev4Record(RecordInputStream in)

  - ### Method Detail

    - #### setProtect

          public void setProtect(boolean protect)

      set whether the this is protected shared/tracked workbook or not
      Parameters:
        `protect` - whether to protect the workbook or not

    - #### getProtect

          public boolean getProtect()

      get whether the this is protected shared/tracked workbook or not
      Returns:
        whether to protect the workbook or not

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### copy

          public ProtectionRev4Record copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.